commit 4180d772d749af76a265b51b6bc61d9ccfdf9f35
Author: freddy77 <freddy77>
Date:   Sat Jul 3 09:49:11 2010 +0000

    minor issues

diff --git a/ChangeLog b/ChangeLog
index 58ea7f1..d14cd87 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jul  3 11:49:05 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac src/odbc/odbc.c: minor issues
+
 Sat Jul  3 11:14:29 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac include/tdsodbc.h src/odbc/convert_tds2sql.c:
 	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/sql2tds.c:
@@ -2584,4 +2587,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3056 2010/07/03 09:14:36 freddy77 Exp $
+$Id: ChangeLog,v 1.3057 2010/07/03 09:49:11 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index 245e377..6c797be 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.51 2010/07/03 09:14:36 freddy77 Exp $
+dnl $Id: configure.ac,v 1.52 2010/07/03 09:49:12 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.51 $)
+AC_REVISION($Revision: 1.52 $)
 
 AM_INIT_AUTOMAKE([dist-bzip2])
 AC_CONFIG_HEADERS(include/config.h)
@@ -772,10 +772,7 @@ fi
 AC_ARG_ENABLE(odbc-wide,
   AS_HELP_STRING([--enable-odbc-wide], [enable wide string support in odbc [experimental]]))
 if test "$enable_odbc_wide" = "yes" ; then
-	if test "$use_libiconv" != "yes" ; then
-		AC_MSG_ERROR([iconv required for ODBC wide support.])
-	fi
-	AC_DEFINE_UNQUOTED(ENABLE_ODBC_WIDE, 1, [Define to enable ODBC wide string support. Require libiconv!])
+	AC_DEFINE_UNQUOTED(ENABLE_ODBC_WIDE, 1, [Define to enable ODBC wide string support])
 fi
 
 AC_ARG_ENABLE(distcheck_build,
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index a190a76..a030452 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -61,7 +61,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.540 2010/07/03 09:14:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.541 2010/07/03 09:49:12 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv, SQLINTEGER odbc_version);
@@ -6084,7 +6084,7 @@ SQLPutData(SQLHSTMT hstmt, SQLPOINTER rgbValue, SQLLEN cbValue)
 }
 
 
-#define FUNC NAME(SQLSetConnectAttr) (P(SQLHDBC,hdbc), P(SQLINTEGER,Attribute), P(SQLPOINTER,ValuePtr), P(SQLINTEGER,StringLength) _WIDE)
+#define FUNC NAME(SQLSetConnectAttr) (P(SQLHDBC,hdbc), P(SQLINTEGER,Attribute), P(SQLPOINTER,ValuePtr), P(SQLINTEGER,StringLength) WIDE)
 #include "sqlwparams.h"
 {
 	SQLULEN u_value = (SQLULEN) (TDS_INTPTR) ValuePtr;

